Subject: Re: Study of CNG

From: Alexander Tulai - icpd <[email-masked]>
Date: Thu, 21 Oct 1999 15:05:33 -0400

Dear Colleagues,

I am afraid that proper means for adopting standards are under serious
preasure in the case of a new proposal for CNG coming from Lucent.

I would like to point out to you, that the "urgent work" is actually
urgent due to the presentation of one contribution only, from Lucent,
to the  following ITU working groups:
SG 16 Q19
SG 15, Q6,
SG 15, Q21
These working groups are perhaps not the only ones the contribution went to.
The fact that Lucent wants it badly doesn't mean the ITU community has
to cut corners.

At this point in time, the Comfort Noise Generation for G.711 method adopted by
IETF for IP networks (see RFC1890) and ITU-T for ATM networks (see I.366.2
Appendix
I2) are identical (one byte representing the power level, with the least
significant 7 bits
carrying the level).

I would like to point out to you that noise spectral parameters are sometimes
byproducts
of VAD algorithms. As such, by standardizing one, automatically, a certain
algorithm
must be used as a VAD.
Both ITU and the ATM forum, as I pointed out to Mr Zopf, have decided in the past
not to standardize VAD algorithms for G.711.

I believe that any work in this area has to be done after a very careful
examination of
the implications of breaking the existing CNG mechanism and proposing a new one.
Due ITU-T standardization procedures have to be in place and, if the decision
is taken that such an alhorithm is required, enough time should be given for
proposals
to be advanced from the interested companies.

Best regards,

Alexander Tulai
Mitel Corporation
Ph: (613) 592-2122
Fax: (613) 592-4784
Email: [email-masked]

Robert Zopf wrote:

> Dear Colleagues,
>
> I would like to commence the work on defining a Comfort Noise Generation
> scheme for speech codecs without a built-in algorithm.  The proposed steps
> to complete this work as outlined by the Rapporteur of Q.19 include :
>
> (1)     Complete the Performance Requirements and Objectives
> (2)     Draft preliminary test methodology and ask Q.14/12 for comments
> (3)     Complete the Test Methodology
> (4)     Collect candidate algorithms for CNG
> (5)     Performance assessment for the candidates
> (6)     Select a candidate and define the algorithm (Draft Appendix to G.711) .
>
> Because the work is urgently needed by WP2/16 and the IETF, the goal should
> be to have a draft appendix ready for approval at the SG16 meeting in Feb.
> 2000.  The plan is to use  wp3audio as the reflector for discussions.
>
> Please offer any comments or suggestions with respect to this proposed
> procedure.
> I will circulate a revised draft of the Terms of Reference for review and
> comments shortly.
>
> Best regards,
>
> Rob.
>
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> Rob Zopf
> Principal Engineer
> Speech Technology Group
> Lucent Technologies, INS
>
> Phone   : (732) 578-3207
> Fax             : (732) 578-3213
> Email           : [email-masked]
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

---

From: Robert Wood <[email-masked]>
Date: Thu, 21 Oct 1999 17:02:27 -0400

> I2) are identical (one byte representing the power level, with the least

	Hi Alex, how are you? Sorry, maybe I've missed something but
	I cannot find the RFC1890 reference - which section or page
	number is it on?
 
> byproducts of VAD algorithms. As such, by standardizing one, automatically, a certain
> algorithm must be used as a VAD.

	You don't necessarily have a DSP resource available for  a G.711
	application, do you? Either for VAD or CNG.

> the implications of breaking the existing CNG mechanism and proposing a new one.

	What existing CNG mechanism (in VoIP apps, that is)? Many people just
	play D.C. which sounds terrible, I agree. But work has been done in
	a company not a stone's throw from here that produces reasonable
results.

[\] Robert Wood  mailto:[email-masked]   <---- note address

The St. Lawrence River - fresh, warm, visible diving

---

From: Gerard Aguilar <[email-masked]>
Date: Thu, 21 Oct 1999 18:47:07 -0400

Alexander,

Please see my comments below:

Regards,

Gerard

>The fact that Lucent wants it badly doesn't mean the ITU community has

Lucent is not asking the ITU to cut corners.  It is simply requesting that
the ITU promptly address the deficiencies associated with the current CNG
scheme as outlined in RFC1890 for running VoIP within H.323 sessions.
The primary problem is that there is no descriptor for shaping the spectrum
of comfort noise.

>of VAD algorithms. As such, by standardizing one, automatically, a certain

The need to utilize the feature set generated by CNG analysis/synthesis by 
any VAD
is simply not true.  Although, it could be desirable depending on the 
feature set produced
by a CNG system, it is in no way a requirement.  Therefore, any design 
decisions made
by the CNG will not impact any proprietary VAD.

>the implications of breaking the existing CNG mechanism and proposing a 

We of course agree with this position and look forward to contributions within
the ITU which satisfy this requirement.